% função de stretching
S = @(L,A,xc,t) L*t + A*(xc-L*t).*(1-t).*t;

res = 20;
t = linspace(-3,3,res);

% aplicando stretching c/ translação para origem
xsi = linspace(0,1,res);
u = S(6,3,3,xsi) - 3;

% avaliando os grids
[Xt,Yt] = meshgrid(t);
Zt = exp(-(Xt.^2+Yt.^2));
[Xu,Yu] = meshgrid(u);
Zu = exp(-(Xu.^2+Yu.^2));

% plotando
subplot(2,2,1), plot_grid(Xt,Yt);
subplot(2,2,2), surf(Xt,Yt,Zt);
subplot(2,2,3), plot_grid(Xu,Yu);
subplot(2,2,4), surf(Xu,Yu,Zu);
